
Foreman - Bug #26450

CVE-2019-3893: Compute resource delete via api returns password in plaintext

03/26/2019 09:50 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Shira Maximov   

Category: Compute resources   

Target version: 1.21.1   

Difficulty:  Fixed in Releases: 1.20.3, 1.21.1, 1.22.0

Triaged: No Found in Releases:  

Bugzilla link: 1692644 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6621

  

Description

Associated revisions

Revision 12174920 - 03/27/2019 02:46 PM - Shira Maximov

Fixes #26450 - add destroy rabl for compute resource

History

#1 - 03/26/2019 09:53 AM - Tomer Brisker

- Target version set to 1.21.1

#2 - 03/27/2019 01:44 PM - Tomer Brisker

- Private changed from Yes to No

This can be worked around by not granting "destroy_compute_resource" permissions to users that should not know the password.

#3 - 03/27/2019 01:45 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6621 added

#4 - 03/27/2019 02:48 PM - Tomer Brisker

- Fixed in Releases 1.20.3, 1.21.1, 1.22.0 added

#5 - 03/27/2019 03:02 PM - Shira Maximov

- Status changed from Ready For Testing to Closed

Applied in changeset 12174920f9df7803060f8b2be9fdf3c250ab4291.

#6 - 04/14/2019 12:30 PM - Tomer Brisker

- Assignee set to Shira Maximov

#7 - 04/14/2019 12:31 PM - Tomer Brisker

- Subject changed from Compute resource delete via api returns password in plaintext to CVE-2019-3893: Compute resource delete via api returns

password in plaintext
